> ## Documentation Index
> Fetch the complete documentation index at: https://docs.stablestack.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List Customers

> API reference for retrieving all customers

Retrieves a list of all customers associated with your merchant account.


## OpenAPI

````yaml GET /customers
openapi: 3.0.0
info:
  title: 'StableStack: API Service'
  description: "# Overview\n\n##  Introduction\n\nStableStack offers an API first, last mile payment orchestration + liquidity router built with stablecoins. Stablecoin layer integrated into your existing payment flow, with smart accounts and blockchain abstraction. Go between digital and fiat currencies in minutes.\n\n## Getting Help\n\nWe're excited to have you build with us! If you're integrating, we will set up a communication channel. This will enable our teams to easily collaborate and ensure you launch as quickly as possible.\n\nPlease reach out to us at\_[hello@stablestack.xyz](https://mailto:hello@stablestack.xyz)\_for any questions or concerns."
  version: 1.0.0
servers:
  - url: https://api-staging.stablestack.com/api
    description: StableStack API
security: []
tags:
  - name: customers
  - name: customers > kyc
  - name: payouts
  - name: banks
  - name: transactions
  - name: wallets
  - name: assets
  - name: swap
paths:
  /customers:
    get:
      tags:
        - customers
      summary: 'merchant: fetch all customers'
      parameters:
        - name: x-api-key
          in: header
          schema:
            type: string
          required: true
          example: ''
        - name: search
          in: query
          schema:
            type: string
          required: false
          example: john
        - name: customer_type
          in: query
          schema:
            type: string
            enum:
              - individual
              - business
          required: false
          example: business
        - name: start_date
          in: query
          schema:
            type: string
            format: date-time
          required: false
          example: '2025-05-01T00:00:00Z'
        - name: end_date
          in: query
          schema:
            type: string
            format: date-time
          required: false
          example: '2025-05-09T23:59:59Z'
        - name: include_documents
          in: query
          schema:
            type: boolean
          required: false
          example: true
        - name: page
          in: query
          schema:
            type: integer
          required: false
          example: 1
        - name: limit
          in: query
          schema:
            type: integer
          required: false
          example: 10
      responses:
        '200':
          description: OK
          headers:
            Content-Security-Policy:
              schema:
                type: string
                example: >-
                  default-src 'self';base-uri 'self';font-src 'self' https:
                  data:;form-action 'self';frame-ancestors 'self';img-src 'self'
                  data:;object-src 'none';script-src 'self';script-src-attr
                  'none';style-src 'self' https:
                  'unsafe-inline';upgrade-insecure-requests
            Cross-Origin-Opener-Policy:
              schema:
                type: string
                example: same-origin
            Cross-Origin-Resource-Policy:
              schema:
                type: string
                example: same-origin
            Origin-Agent-Cluster:
              schema:
                type: string
                example: '?1'
            Referrer-Policy:
              schema:
                type: string
                example: no-referrer
            Strict-Transport-Security:
              schema:
                type: string
                example: max-age=31536000; includeSubDomains
            X-Content-Type-Options:
              schema:
                type: string
                example: nosniff
            X-DNS-Prefetch-Control:
              schema:
                type: string
                example: 'off'
            X-Download-Options:
              schema:
                type: string
                example: noopen
            X-Frame-Options:
              schema:
                type: string
                example: SAMEORIGIN
            X-Permitted-Cross-Domain-Policies:
              schema:
                type: string
                example: none
            X-XSS-Protection:
              schema:
                type: integer
                example: '0'
            Vary:
              schema:
                type: string
                example: Origin
            Access-Control-Allow-Credentials:
              schema:
                type: boolean
                example: 'true'
            RateLimit-Policy:
              schema:
                type: string
                example: 60;w=60
            RateLimit-Limit:
              schema:
                type: integer
                example: '60'
            RateLimit-Remaining:
              schema:
                type: integer
                example: '59'
            RateLimit-Reset:
              schema:
                type: integer
                example: '60'
            Content-Type:
              schema:
                type: string
                example: application/json; charset=utf-8
            Content-Length:
              schema:
                type: integer
                example: '4368'
            ETag:
              schema:
                type: string
                example: W/"1110-3TQB7l5gO9J3HYp/Fz8OqTC9wDE"
            Date:
              schema:
                type: string
                example: Fri, 09 May 2025 16:18:33 GMT
            Connection:
              schema:
                type: string
                example: keep-alive
            Keep-Alive:
              schema:
                type: string
                example: timeout=5
          content:
            application/json:
              schema:
                type: object
              example:
                status: success
                data:
                  - id: 10f07c0c-98d2-4f36-a9df-0dc75f747c52
                    customer_type: individual
                    email: olajohn3@gmail.com
                    phone: '+2348918945668'
                    created_at: '2025-05-09T14:59:51.229Z'
                    updated_at: '2025-05-09T14:59:51.229Z'
                    status: active
                    address:
                      line_1: 123 Main St
                      line_2: Suite 456
                      city: Lagos
                      state: Lagos
                      postal_code: '214578'
                      country: Nigeria
                    personal_info:
                      first_name: john
                      middle_name: Oluwaseun
                      last_name: ola
                      birth_date: '1990-01-14T23:00:00.000Z'
                    financial_info:
                      account_purpose: personal savings
                      employment_status: employed
                      expected_monthly_income: '500000.00'
                      most_recent_occupation: Software Engineer
                      source_of_funds: salary
                  - id: 62217f2f-2f65-4aca-b613-9bcefa333af3
                    customer_type: business
                    email: contact@example.com
                    phone: '+2347918945668'
                    created_at: '2025-05-09T14:58:35.745Z'
                    updated_at: '2025-05-09T14:58:35.745Z'
                    status: active
                    address:
                      line_1: 123 Business Ave
                      line_2: Suite 456
                      city: Lagos
                      state: Lagos
                      postal_code: '214578'
                      country: Nigeria
                    personal_info:
                      first_name: null
                      middle_name: null
                      last_name: null
                      birth_date: null
                    financial_info:
                      account_purpose: business operations
                      employment_status: null
                      expected_monthly_income: '5000000.00'
                      most_recent_occupation: null
                      source_of_funds: business revenue
                    business_info:
                      business_name: Example Enterprises
                      business_type: Retail
                      business_website: https://example.com
                  - id: 85b148ab-3f6b-4d55-917f-3c8de668a48e
                    customer_type: business
                    email: contact@akande.com
                    phone: '+2348098765432'
                    created_at: '2025-05-01T13:47:10.689Z'
                    updated_at: '2025-05-09T14:57:30.534Z'
                    status: active
                    address:
                      line_1: 789 Business Avenue
                      line_2: Suite 500
                      city: Lagos
                      state: Lagos
                      postal_code: '100001'
                      country: Nigeria
                    personal_info:
                      first_name: null
                      middle_name: null
                      last_name: null
                      birth_date: null
                    financial_info:
                      account_purpose: business operations
                      employment_status: null
                      expected_monthly_income: '5000000.00'
                      most_recent_occupation: null
                      source_of_funds: business revenue
                    business_info:
                      business_name: Acme Inc.
                      business_type: Technology Solutions
                      business_website: https://acme.example.com
                  - id: 3836c9c3-0f62-4229-acaf-1da597a14991
                    customer_type: individual
                    email: johnDoe23@gmail.com
                    phone: '+2348098765432'
                    created_at: '2025-05-01T13:45:30.837Z'
                    updated_at: '2025-05-09T14:55:58.657Z'
                    status: active
                    address:
                      line_1: 456 Updated Street
                      line_2: Apt 101
                      city: Lagos
                      state: Lagos
                      postal_code: '100001'
                      country: Nigeria
                    personal_info:
                      first_name: John
                      middle_name: Michael
                      last_name: Doe
                      birth_date: '1990-01-14T23:00:00.000Z'
                    financial_info:
                      account_purpose: personal savings
                      employment_status: employed
                      expected_monthly_income: '500000.00'
                      most_recent_occupation: Software Engineer
                      source_of_funds: salary
                  - id: d75521df-4e59-48d4-938e-617e07c536b2
                    customer_type: individual
                    email: johnDoe0@gmail.com
                    phone: '+2348918945660'
                    created_at: '2025-04-29T08:15:52.097Z'
                    updated_at: '2025-04-29T08:15:52.097Z'
                    status: closed
                    address:
                      line_1: 123 Main St
                      line_2: null
                      city: Lagos
                      state: Lagos
                      postal_code: null
                      country: Nigeria
                    personal_info:
                      first_name: John
                      middle_name: null
                      last_name: Doe
                      birth_date: '1990-01-14T23:00:00.000Z'
                    financial_info:
                      account_purpose: Personal savings
                      employment_status: Employed
                      expected_monthly_income: null
                      most_recent_occupation: null
                      source_of_funds: null
                  - id: 33b60774-a9f0-48b8-be8d-c3d498782425
                    customer_type: business
                    email: johnDoe3@gmail.com
                    phone: '+2348098765432'
                    created_at: '2025-04-24T23:52:31.714Z'
                    updated_at: '2025-04-29T08:17:00.668Z'
                    status: active
                    address:
                      line_1: 123 Main St
                      line_2: 456 Updated Address St
                      city: Lagos
                      state: Lagos
                      postal_code: null
                      country: Nigeria
                    personal_info:
                      first_name: John
                      middle_name: null
                      last_name: Doe
                      birth_date: '1990-01-14T23:00:00.000Z'
                    financial_info:
                      account_purpose: Personal savings
                      employment_status: Employed
                      expected_monthly_income: null
                      most_recent_occupation: null
                      source_of_funds: null
                    business_info:
                      business_name: null
                      business_type: null
                      business_website: null
                pagination:
                  total: 6
                  page: 1
                  limit: 10
                  totalPages: 1

````